var KEY_BORRAR="KEY_BORRAR";





function ponAccion(key){

	if (key==KEY_BORRAR){

		if(confirm(msgBorrar)){

			document.forms["formListadoOficinasMunicipales"].accion.value=key;

			submmitFormulario(key);

		}else{

			return;

		}

	}

	else

	{

		document.forms["formListadoOficinasMunicipales"].accion.value=key;

		submmitFormulario(key);

	}

}



function onLoadPage(){

	//poner a Disabled el boton borrar si no hay registros

	if(document.forms[0].idOfi!=null) {

		document.forms["formListadoOficinasMunicipales"].consultar.disabled=false;

		document.forms["formListadoOficinasMunicipales"].modificar.disabled=false;

		document.forms["formListadoOficinasMunicipales"].borrar.disabled=false;

	} else {

		document.forms["formListadoOficinasMunicipales"].consultar.disabled=true;

		document.forms["formListadoOficinasMunicipales"].modificar.disabled=true;

		document.forms["formListadoOficinasMunicipales"].borrar.disabled=true;

	}

	

	//seleccionar el primer registro

	if((document.forms[0].idOfi!=null)&& (document.forms[0].idOfi[0]!=null) ){

		document.forms[0].idOfi[0].checked=true;

	}

	radioClick();

}



function submmitFormulario(key){

	document.forms["formListadoOficinasMunicipales"].submit();

}





function radioClick(){

	var array	= document.forms[0].idOfi;

	if(array!=null){

		if(array.length == undefined){

				document.forms["formListadoOficinasMunicipales"].elements["filtro(idOficina)"].value = array.value;

			return;

		} else {

			for (var i=0; i < array.length; i++){

				if (array[i].checked){

						document.forms["formListadoOficinasMunicipales"].elements["filtro(idOficina)"].value = array[i].value;

					return;

				}

			}

		}

	}

}